summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Daniel R2010-05-13 00:58:05 +0200
committer Robby Workman2010-05-13 00:58:05 +0200
commit798543c63631ba72a4ed22449d9b6e26c2a83d7a (patch)
tree93ae0afa5da9f2c20e79a544794dde5fc0d10e28 /games
parentccd0166a2e0f2cf2b799128845d9d05a73ea5448 (diff)
downloadslackbuilds-798543c63631ba72a4ed22449d9b6e26c2a83d7a.tar.gz
games/SecondLife: Added to 13.0 repository
Diffstat (limited to 'games')
-rw-r--r--games/SecondLife/README7
-rw-r--r--games/SecondLife/SecondLife.SlackBuild55
-rw-r--r--games/SecondLife/SecondLife.desktop10
-rw-r--r--games/SecondLife/SecondLife.info10
-rw-r--r--games/SecondLife/doinst.sh27
-rw-r--r--games/SecondLife/slack-desc19
6 files changed, 128 insertions, 0 deletions
diff --git a/games/SecondLife/README b/games/SecondLife/README
new file mode 100644
index 0000000000..06c6e1f47c
--- /dev/null
+++ b/games/SecondLife/README
@@ -0,0 +1,7 @@
+SecondLife (SL) is a virtual world developed by Linden Lab.
+
+This package contains the client program which allows users to log
+into SecondLife.
+
+This is a repackaging of the original binary download available at
+SecondLife website.
diff --git a/games/SecondLife/SecondLife.SlackBuild b/games/SecondLife/SecondLife.SlackBuild
new file mode 100644
index 0000000000..ba2e1f7216
--- /dev/null
+++ b/games/SecondLife/SecondLife.SlackBuild
@@ -0,0 +1,55 @@
+#!/bin/sh
+
+## Written by Daniel R. <danielrodriguez.es@gmail.com>
+
+# Based on scripts by the SlackBuilds.org project and slacky.eu
+# This is an adaptation of the original script at slacky.eu repository
+
+PRGNAM=SecondLife
+VERSION=1.23.5.136262
+ARCH=${ARCH:-i686}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "x86_64" ]; then
+ printf "\n\tThis is i686 only - sorry.\n\n" ; exit 1
+else
+ ARCH=i686
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+tar xvf $CWD/$PRGNAM-$ARCH-$VERSION.tar.bz2
+
+mkdir -p $PKG/opt
+mv $PRGNAM-$ARCH-$VERSION $PKG/opt/$PRGNAM
+
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+cp $PKG/opt/$PRGNAM/secondlife_icon.png \
+ $PKG/usr/share/pixmaps/secondlife_icon.png
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/opt/$PRGNAM/*.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+# Fixup some ownership and permissions
+chown -R root:root $PKG
+find $PKG -type d -exec chmod 755 {} \;
+chmod -R u+rw,go+r-w,a-s $PKG
+find $PKG/opt/SecondLife/skins/default/xui/pl/ -type f -exec chmod 0644 {} \;
+
+cd $PKG
+/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/SecondLife/SecondLife.desktop b/games/SecondLife/SecondLife.desktop
new file mode 100644
index 0000000000..7ed6b2f883
--- /dev/null
+++ b/games/SecondLife/SecondLife.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Type=Application
+Version=1.0
+Name=Second Life
+GenericName=Second Life Client
+Icon=secondlife_icon
+Exec=/opt/SecondLife/secondlife
+Terminal=false
+StartupNotify=false
+Categories=Game;ActionGame;
diff --git a/games/SecondLife/SecondLife.info b/games/SecondLife/SecondLife.info
new file mode 100644
index 0000000000..cd587f847d
--- /dev/null
+++ b/games/SecondLife/SecondLife.info
@@ -0,0 +1,10 @@
+PRGNAM="SecondLife"
+VERSION="1.23.5.136262"
+HOMEPAGE="http://secondlife.com/"
+DOWNLOAD="http://download.cloud.secondlife.com/SecondLife-i686-1.23.5.136262.tar.bz2"
+MD5SUM="4ef86b34f3daf0ac0ee3a82e88dcadbb"
+DOWNLOAD_x86_64="UNSUPPORTED"
+MD5SUM_x86_64=""
+MAINTAINER="Daniel R."
+EMAIL="<danielrodriguez.es@gmail.com>"
+APPROVED="rworkman"
diff --git a/games/SecondLife/doinst.sh b/games/SecondLife/doinst.sh
new file mode 100644
index 0000000000..cb6efdd940
--- /dev/null
+++ b/games/SecondLife/doinst.sh
@@ -0,0 +1,27 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/games/SecondLife/slack-desc b/games/SecondLife/slack-desc
new file mode 100644
index 0000000000..5bd2dec058
--- /dev/null
+++ b/games/SecondLife/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+SecondLife: SecondLife (Virtual world by Linden Lab)
+SecondLife:
+SecondLife: SecondLife (SL) is a virtual world developed by Linden Lab.
+SecondLife:
+SecondLife: This package contains the client program which allows users to log
+SecondLife: into SecondLife.
+SecondLife:
+SecondLife: Homepage: http://secondlife.com/
+SecondLife:
+SecondLife:
+SecondLife: